API Key Guide
Understand API keys, how to generate them, and how to use them in your application.
Creating an API Key
- Go to https://spherepay.co/dashboard
- Go to the "Developer" section
- Select the "API Keys" tab
- Click on the "Create new API Key" button
- Enter a name for your API key
- (optional) You may enter a description for your API key under the "Note" field
- Click on the "Done" button
- Copy the API key
Usage
Pass your API key as a Bearer token in the Authorization header of each request.
curl -X POST https://api.spherepay.co/v2/transfer \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json" \
-d '{...}'Managing API Keys
You can edit or delete API keys from the dashboard.
- Go to https://spherepay.co/dashboard
- Go to the "Developer" section
- Select the "API Keys" tab
- Click on the triple dot menu on the right of the API key you want to manage
- You can edit and delete your API keys here
Information
API keys that are currently in use cannot be deleted.
Last updated on
BRL to USD
Move funds from Brazilian Reais to US Dollars using a PIX on-ramp and an off-loader wallet for automated stablecoin-to-fiat conversion.
API Rate Limits
Understand SpherePay's API rate limits, how to manage them effectively, and how to request temporary increases to support your business needs.